{%- extends "_layout.html" %}

{% block title %}{{ vial_current_view.get_view_title() }}{% endblock %}

{%- block content %}

            <div class="row">
                <div class="col-lg-12">
                    <div class="well col-md-4 col-md-offset-4">

                        <form method="POST" action="{{ url_for(request.endpoint, next = next) }}">
                            <fieldset>
                                <legend>{{ get_icon(vial_current_view.get_view_icon()) }} {{ vial_current_view.get_view_title() }}</legend>

                                {%- block registrationformfields %}{% endblock registrationformfields %}

                                {%- if 'csrf_token' in form %}
                                {{ macros_form.render_form_errors(form.csrf_token.errors) }}
                                {{ form.csrf_token }}
                                {%- endif %}

                                {{ form.cancel(class_='btn btn-default') }}
                                {{ form.submit(class_='btn btn-primary') }}
                            <fieldset>
                        </form>

                    </div><!-- /.well -->
                </div><!-- /.col-lg-12 -->
            </div><!-- /.row -->

{%- endblock content %}
